<div class="user-bar">
  <div class="user-bar-right" *ngIf="userProfile && displayUserMenu">
    <div class="eui-user-profile__infos eui-user-profile__infos--no-subinfos">
      <h6>{{ 'app.main.welcome' | translate }}</h6>
      <div class="eui-user-profile__infos-name">
        <span *ngIf="userProfile.country" class="eui-flag-icon eui-flag-icon-{{ userProfile.country | flag }} eui-u-mr-xs"></span>
        {{ userProfile.firstName }} {{ ' '.concat(userProfile.lastName || '') }}
      </div>
    </div>
    <eui-user-profile euiPositionRight class="cs-header-top-right-item" [hasMenu]="true" [hasWelcomeLabel]="false">
      <eui-user-profile-menu>
        <eui-user-profile-menu-item (click)="logout()">
          <eui-icon-svg icon="log-out:sharp" /> {{ 'app.main.user_profile.sign_out' | translate }}
        </eui-user-profile-menu-item>
      </eui-user-profile-menu>
    </eui-user-profile>
    <eui-language-selector></eui-language-selector>
  </div>
  <div class="user-bar-left">
    <img src="../../../assets/images/ec-logo-{{ language$ | async }}.svg" alt="en" />
    <h2>{{ 'app.main.top_heading' | translate }}</h2>
  </div>
</div>
